
DeadDrop - Feature #7

Implement invites Backend

07/18/2023 12:55 AM - Sancho Fock

Status: Closed Start date: 07/31/2023

Priority: Normal Due date: 08/06/2023

Assignee: Sancho Fock % Done: 100%

Category: API Estimated time: 40:00 hours

Target version: 0.3.0   

Description

Owners can invite others. Invites are similar to the share function, but in invites the client gets authorized with a particular role. Also

End2End Keys can be shared via invite. Invites are unique per client and authorized by the server including a password

Related issues:

Precedes Feature #9: Implement Private Drops Backend Closed 08/07/2023 08/07/2023

Precedes Feature #10: Implement Private Drops Client Closed 08/08/2023 08/08/2023

Follows Feature #4: Implement USER ROLES Closed 07/28/2023 07/29/2023

Follows Feature #6: Implement Displays client Closed 07/29/2023 07/29/2023

History

#1 - 07/18/2023 01:11 AM - Sancho Fock

- Precedes Feature #6: Implement Displays client added

#2 - 07/18/2023 11:41 AM - Sancho Fock

- Precedes Feature #8: Implement invites Client added

#3 - 07/18/2023 11:41 AM - Sancho Fock

- Precedes Feature #9: Implement Private Drops Backend added

#4 - 07/18/2023 11:42 AM - Sancho Fock

- Precedes Feature #10: Implement Private Drops Client added

#5 - 07/18/2023 12:44 PM - Sancho Fock

- Precedes Feature #11: Implement Private secure Drops Backend added

#6 - 07/26/2023 11:47 PM - Sancho Fock

- Due date set to 08/01/2023

- Start date changed from 07/18/2023 to 08/01/2023

- Follows Feature #4: Implement USER ROLES added

#7 - 07/26/2023 11:48 PM - Sancho Fock

- Due date changed from 08/01/2023 to 07/28/2023

- Start date changed from 08/01/2023 to 07/28/2023

#8 - 07/26/2023 11:52 PM - Sancho Fock

- Due date changed from 07/28/2023 to 08/02/2023

- Start date changed from 07/28/2023 to 08/02/2023

#9 - 07/26/2023 11:59 PM - Sancho Fock

- Due date changed from 08/02/2023 to 08/03/2023

- Start date changed from 08/02/2023 to 08/03/2023

#10 - 07/27/2023 11:37 PM - Sancho Fock

- Estimated time set to 40:00 h
#11 - 07/27/2023 11:41 PM - Sancho Fock

- Precedes deleted (Feature #6: Implement Displays client)

#12 - 07/27/2023 11:41 PM - Sancho Fock

- Due date changed from 08/03/2023 to 08/07/2023

- Start date changed from 08/03/2023 to 08/07/2023

- Follows Feature #6: Implement Displays client added

#13 - 07/28/2023 11:39 PM - Sancho Fock

- Due date changed from 08/07/2023 to 08/02/2023

- Start date changed from 08/07/2023 to 08/02/2023

#14 - 07/28/2023 11:47 PM - Sancho Fock

- Due date changed from 08/02/2023 to 07/31/2023

- Start date changed from 08/02/2023 to 07/31/2023

#15 - 07/28/2023 11:56 PM - Sancho Fock

- Due date changed from 07/31/2023 to 08/09/2023

- Status changed from New to In Progress

#16 - 07/31/2023 01:00 AM - Sancho Fock

- % Done changed from 0 to 20

#17 - 08/05/2023 11:33 PM - Sancho Fock

- % Done changed from 20 to 90

#18 - 08/05/2023 11:35 PM - Sancho Fock

- Precedes deleted (Feature #11: Implement Private secure Drops Backend)

#19 - 08/06/2023 09:30 PM - Sancho Fock

- Due date changed from 08/09/2023 to 08/06/2023

- % Done changed from 90 to 100

#20 - 08/06/2023 09:32 PM - Sancho Fock

- Precedes deleted (Feature #8: Implement invites Client)

#21 - 08/06/2023 09:40 PM - Sancho Fock

- Status changed from In Progress to Resolved

#22 - 08/07/2023 11:16 PM - Sancho Fock

- Status changed from Resolved to Closed
